Run multiple SDK Drivers

Hello,

I have installed 2 sdk drivers at the moment.

Kodi and enigma2. When i go in one of the two directories, I can start the driver with "npm start" and the driver works fine.

 

But how can I start two drivers at the same time?

I have read something about change the Port and a newer method with neeo-cli.

But unfortunately I dont know where to change the Port.

And with the cli, when I enter the following command:

"npx neeo-cli start"

Then I get this output:

-bash: npx: Kommando nicht gefunden.

 

The same with:

"node_modules/.bin/neeo-cli start"

I get this:

-bash: node_modules/.bin/neeo-cli: Datei oder Verzeichnis nicht gefunden

 

Can please anyone help me?

Or give me a hint?

 

Sorry for my bad english

Reply
3replies Oldest first
  • Oldest first
  • Newest first
  • Active threads
  • Popular
  • Patrick Fiaux Michael Kohler Michael Vogt

     

    Ben Hello Ben, i am not at Home so i was not able to check, but i linked some developers from NEEO here, normally they will provide short feedback. As i dont have much Experiance with the CLI methode i don't can tell you from my mind.

    As far as i know (currently) you need to bring both Drivers into an Folder inside the NEEO SDK and Provide some short Infos and then both Drivers are startet in parallel. But i was not able to reconstuct this at the moment.

    I will also pull in Niels de Klerk and Tim Roberts as two other Users Of the NEEO with much experiance when it comes to SDK parts.

    Somebody should be able to tell you how to do.

    As reference here are the two projects as GitHub Links:

    https://github.com/carp3-noctem/neeo-driver-enigma2

    https://github.com/nklerk/neeo_driver-kodi

    Reply Like
  • If you're getting "npx command not found" you might be on an older version of node/npm. npx was added in npm 5.2.0 ( https://medium.com/@maybekatz/introducing-npx-an-npm-package-runner-55f7d4bd282b ).

    There's multiple options to get it:

    • Install it manually `npm install -g npx`
    • Update npm `npm install -g npm`
    • Update your node version, node 8 or more recent should come with npm 5+ and npx

    The other errors look like the neeo-cli is not found, did you install it as well?

    I quickly tried it with node 8 and was able to start the drivers I installed them like this:

    npm init -y
    npm install @neeo/cli neeo-driver-enigma2 https://github.com/nklerk/neeo_driver-kodi
    Reply Like
  • Many Thanks,

    it was indeed the wrong npm version.

    I have node installed as described here:

    https://planet.neeo.com/t/18kj94/howto-use-sdk-drivers-with-rasberrypi

    I dont know what went wrong. Now I installed the new version of npm and it works like a charm.😀

    Reply Like
Like Follow